Fake 2.5d Platformer test

By xxblackstormxx :: Friday December 1st, 2017

 

This game requires the Adobe Flash Player.

Enable Flash

make a game
 

Tags: fake25d


More games by xxblackstormxx